diff --git a/web/pgadmin/misc/statistics/static/js/statistics.js b/web/pgadmin/misc/statistics/static/js/statistics.js
index 1377c1e..ab8fbb8 100644
--- a/web/pgadmin/misc/statistics/static/js/statistics.js
+++ b/web/pgadmin/misc/statistics/static/js/statistics.js
@@ -324,14 +324,23 @@ define([
       this.columns = [];
       for (var idx in columns) {
         var rawColumn = columns[idx],
-            col = {
+        cell_type = typeCellMapper[rawColumn['type_code']] || 'string';
+
+        // Don't show PID comma separated
+        if(rawColumn['name'] == 'PID') {
+          cell_type = cell_type.extend({
+            orderSeparator: ''
+          });
+        }
+
+        var col = {
             editable: false,
             name: rawColumn['name'],
-            cell: typeCellMapper[rawColumn['type_code']] || 'string'
-           };
-           if (_.indexOf(prettifyFields, rawColumn['name']) != -1) {
-            col['formatter'] = SizeFormatter
-           }
+            cell: cell_type
+        };
+        if (_.indexOf(prettifyFields, rawColumn['name']) != -1) {
+          col['formatter'] = SizeFormatter
+        }
         this.columns.push(col);
 
       }
